%define changeset 2c5f8e558d1d

Summary:        ChatZilla is a Internet Relay Chat (IRC) client
Name:           chatzilla
Version:        0.9.86
Release:       	alt0.M50P.1
License:        MPL/GPL/LGPL
Group:          Networking/IRC
Url:		http://rdmsoft.com/r/stuff/chatzilla/xulrunner
Packager:	Alexey Gladkov <legion@altlinux.ru>

BuildArch:	noarch

Source0:	chatzilla-%version.zip
Source1:	chatzilla.desktop
Source2:	cz16.png
Source3:	cz32.png
Source4:	cz48.png
Source5:	chatzilla

# Patch0 : make chatzilla standalone xulrunner app
Patch0:		%name-%version-%changeset-xulrunner.patch
# Patch1 : this patch is needed if we want to add menus after to the ui
Patch1:		%name-%version-add-menupopupids.patch
# Patch2 : https://bugzilla.mozilla.org/show_bug.cgi?id=605001
Patch2:		%name-%version-unwrap-frame.patch
# Patch3 : https://bugzilla.mozilla.org/show_bug.cgi?id=605001
Patch3:		%name-%version-meta-reorder.patch

BuildRequires(pre): rpm-build-mozilla.org
BuildRequires: unzip python

%description
ChatZilla is a cross platform messaging client that combines Internet Relay Chat (IRC) 
with existing web standards like JavaScript, HTML, and CSS.

%prep
%setup -q -c -n %name-%version

%patch0 -p1 -b .xr
%patch1 -p1 -b .add-menupopupids
%patch2 -p1 -b .unwrap-frame
%patch3 -p1 -b .meta-reorder

%build
cd xpi
python makexpi.py

%install
%__mkdir_p  \
	%buildroot/%_datadir/%name-%version \
	%buildroot/%_bindir \
	%buildroot/%_miconsdir \
	%buildroot/%_niconsdir \
	%buildroot/%_liconsdir \
	%buildroot/%_desktopdir

cp -rf xpi/xpi-tree/* %buildroot/%_datadir/%name-%version/

rm -f %buildroot/%_datadir/%name-%version/{chrome.manifest,install.js,install.rdf}

install -Dpm 644 xpi/resources/application.ini %buildroot/%_datadir/%name-%version/
echo 'manifest chrome/chrome.manifest' > %buildroot/%_datadir/%name-%version/chrome.manifest

mkdir -p %buildroot/%_datadir/%name-%version/extensions/\{972ce4c6-7e08-4474-a285-3208198ce6fd\}
install -Dpm 644 xpi/resources/themeinstall.rdf \
                 %buildroot/%_datadir/%name-%version/extensions/\{972ce4c6-7e08-4474-a285-3208198ce6fd\}/install.rdf

mkdir -p %buildroot/%_datadir/%name-%version/defaults/preferences
install -Dpm 644 xpi/resources/*.xr.js \
                 %buildroot/%_datadir/%name-%version/defaults/preferences
install -Dpm 644 xpi/resources/chrome.xr.manifest \
                 %buildroot/%_datadir/%name-%version/chrome/chrome.manifest

mkdir -p %buildroot/%_datadir/%name-%version/chrome/branding
install -Dpm 644 xpi/resources/{brand.dtd,brand.properties} \
                 %buildroot/%_datadir/%name-%version/chrome/branding

#Set cZ icons as default ones
cd %buildroot/%_datadir/%name-%version/chrome/icons/default
    ln -s chatzilla-window.xpm default.xpm
    ln -s chatzilla-window16.xpm default16.xpm
cd - >/dev/null

install -m 644 %SOURCE1 %buildroot/%_desktopdir/chatzilla.desktop
install -m 644 %SOURCE2 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_niconsdir/%name.png
install -m 644 %SOURCE4 %buildroot/%_liconsdir/%name.png

sed 's,@CHATZILLA@,%_datadir/%name-%version,g' %SOURCE5 > %buildroot/%_bindir/%name
chmod +x %buildroot/%_bindir/%name

%files
%_bindir/%name
%_datadir/%name-%version
%_desktopdir/*.desktop
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Mon Apr 18 2011 Andrey Cherepanov <cas@altlinux.org> 0.9.86-alt0.M50P.1
- Backport to p5 branch for Firefox 4.0

* Sun Apr 03 2011 Alexey Gladkov <legion@altlinux.ru> 0.9.86-alt1
- New version (0.9.86)

* Wed Aug 19 2009 Alexey Gladkov <legion@altlinux.ru> 0.9.85-alt1
- New version (0.9.85)

* Mon Jan 19 2009 Alexey Gladkov <legion@altlinux.ru> 0.9.84-alt1
- New version (0.9.84)

* Sun Oct 26 2008 Alexey Gladkov <legion@altlinux.ru> 0.9.83-alt1
- New version (0.9.83)

* Wed Oct 24 2007 Alexey Gladkov <legion@altlinux.ru> 0.9.78.1-alt2
- Add desktop file.
- Fix License tag.

* Tue Oct 23 2007 Alexey Gladkov <legion@altlinux.ru> 0.9.78.1-alt1
- New version (0.9.78.1)

* Thu Aug 25 2005 Alexey Gladkov <legion@altlinux.ru> 0.9.68.5-alt1
- First build for ALT Linux.
